# Uses of Class
com.github.lgooddatepicker.optionalusertools.CalendarBorderProperties

Packages that use CalendarBorderProperties
Package
Description
com.github.lgooddatepicker.components
com.github.lgooddatepicker.optionalusertools

## Uses of CalendarBorderProperties in com.github.lgooddatepicker.components

Methods in com.github.lgooddatepicker.components that return types with arguments of type CalendarBorderProperties
Modifier and Type
Method
Description
`ArrayList<CalendarBorderProperties>`
DatePickerSettings.`getBorderPropertiesList()`
getBorderPropertiesList, Returns the value of this setting.
Method parameters in com.github.lgooddatepicker.components with type arguments of type CalendarBorderProperties
Modifier and Type
Method
Description
`void`
DatePickerSettings.`setBorderPropertiesList(ArrayList<CalendarBorderProperties> borderPropertiesList)`
setBorderPropertiesList, This sets the list of border properties objects that specifies the colors and thicknesses of the borders in the CalendarPanel.

## Uses of CalendarBorderProperties in com.github.lgooddatepicker.optionalusertools

Methods in com.github.lgooddatepicker.optionalusertools that return CalendarBorderProperties
Modifier and Type
Method
Description
`CalendarBorderProperties`
CalendarBorderProperties.`clone()`
clone, This function creates and returns a deep copy of this CalendarBorderProperties instance.